// var app = getApp();
Component({
  properties: {
    params: {
      type: null
    },
    data: {
      type: null
    }
  },
  data: {
    showBol:false
  }, // 私有数据，可用于模板渲染

  lifetimes: {
    // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
    attached() {

    },
    moved() {},
    detached() {},
  },

  // 生命周期函数，可以为函数，或一个在methods段中定义的方法名
  attached() {

  }, // 此处attached的声明会被lifetimes字段中的声明覆盖
  ready() {
    setTimeout(()=>{
      this.setData({
        showBol:true
      });
    },1000);
  },

  pageLifetimes: {
    // 组件所在页面的生命周期函数
    show() {},
    hide() {},
    resize() {},
  },

  methods: {
    gohrefurl(e) {
      let url = e.currentTarget.dataset.url;
      try {
        wx.navigateTo({
          url: url
        });
      } catch (e) {
        wx.showToast({
          title: '链接设置错误',
          icon: 'none',
          duration: 2000
        });
        //TODO handle the exception
      }
    }
  }
});
